Notifications
View and manage Connect notifications.
List Available Notifications
/communications/v1/notifications
Get all available notifications.
Requires a bearer access token for this API with the Global.Notification.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/notifications" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get a Notification
/communications/v1/notifications/{notificationId}
Get a notification by id.
Requires a bearer access token for this API with the Global.Notification.Read permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/notifications/{notificationId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List User In-App Notifications
/communications/v1/organization/user/notifications/in-app
Returns all in-app notifications for the current user in the organization.
Requires a bearer access token for this API with the Organization.User.Notifications.InApp.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/organization/user/notifications/in-app" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get User In-App Notification
/communications/v1/organization/user/notifications/in-app/{notificationId}
Get a user in-app notification by id.
Requires a bearer access token for this API with the Organization.User.Notifications.InApp.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/organization/user/notifications/in-app/{notificationId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update User In-App Notification
/communications/v1/organization/user/notifications/in-app/{notificationId}
Update a user in-app notification by id.
Requires a bearer access token for this API with the Organization.User.Notifications.InApp.Read permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/communications/v1/organization/user/notifications/in-app/{notificationId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "read": false }'